The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Scanning Exception Status on a Sensor

Prev Next

This URL gets the scanning exception status on a Sensor.

Resource URL

GET /sensor/<sensor_id>/scanningexception/status

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

ScanningExceptionStatusElement

Object that contains the details of the field to be sent

Object

Details of fields in ScanningExceptionStatusElement:

Field Name

Description

Data Type

enabled

Can be either true or false

Boolean

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/<sensor_id>/scanningexception/status

Response

{
		"enabled":true
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1501

Scanning exception is not supported for the specified Sensor

2

400

1106

Invalid Sensor